Skip to main content

Get offerings for a platform

GET 

/api/v2/catalog/offering/platform/:platformIdentifier

Retrieves all available component offerings for a specific platform by platform identifier. Returns the offering tree including all device types, projects, and components for the platform.

Request

Path Parameters

    platformIdentifier stringrequired

    Platform identifier (ID or name)

Responses

Successfully retrieved platform offering

Schema

    deviceTypes

    object[]

  • Array [

  • deviceTypeId doublerequired

    ID of the device type

    deviceTypeName stringrequired

    Name of the device type

    projects

    object[]

  • Array [

  • displayName stringnullable

    Display name of the project

    label stringnullable

    Label of the project

    projectId doublerequired

    Identifier of the project

    projectName stringrequired

    Name of the project

    release

    object

    createdAt date-timerequired
    id stringrequired
    latest booleannullable
    metadata nullable
    projectName stringrequired
    releaseNotes stringnullable
    releasedAt date-time
    size int64nullable
    status Statusrequired

    Possible values: [draft, in_review, approved, released, archived]

    type Typerequired

    Possible values: [product, formation]

    updatedAt date-timerequired
    version stringrequired
  • ]

  • ]

  • platformId doublerequired

    ID of the platform

    platformName stringrequired

    Name of the platform

Loading...